#ifndef GUINODE_H
#define GUINODE_H

#include "scene/graphicalcontainernode.h"

class GUINode : public GraphicalContainerNode
{
public:
    GUINode();
    void update();
    glm::vec2 getPosition();
    void setPosition(glm::vec2 position);
    virtual glm::vec2 getDimension() = 0;
};

#endif // GUINODE_H
